Skip to main content
`Ctrl`+`K`

# SNESSetMaxLinearSolveFailures

the number of failed linear solve attempts allowed before `SNES` returns with a diverged reason of `SNES_DIVERGED_LINEAR_SOLVE`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetMaxLinearSolveFailures(SNES snes, PetscInt maxFails)

Logically Collective

## Input Parameters

- snes - `SNES` context

- maxFails - maximum allowed linear solve failures, use `PETSC_UNLIMITED` to have no limit on the number of failures

## Options Database Key

- -snes_max_linear_solve_fail <num> - The number of failures before the solve is terminated

## Note

By default this is 0; that is `SNES` returns on the first failed linear solve

## Developer Note

The options database key is wrong for this function name

## See Also

SNES: Nonlinear Solvers, `SNESSetErrorIfNotConverged()`, `SNESGetLinearSolveFailures()`, `SNESGetMaxLinearSolveFailures()`, `SNESGetLinearSolveIterations()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages